﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace CDBurnerXP.Forms
{
    public class RadioMenuItem : MenuItem
    {
        protected override void OnClick(EventArgs e)
        {
            base.OnClick(e);
            if (RadioCheck)
            {
                if (Parent != null)
                {
                    foreach (MenuItem item in Parent.MenuItems)
                    {
                        item.Checked = false;
                    }
                }
                Checked = true;
            }
        }
    }
}
