using System;
using System.Collections.Generic;
using System.Text;

namespace CDBurnerXP.Controls
{
    interface IFileSystemNode
    {
        DirectoryNode Parent { get;set;}
        string FullVirtualPath { get; }
        string FileSystemPath { get; }
        string Name { get;set;}
        bool IsImported { get;}
        long Size { get; }
        bool Remove();
        bool Hidden { get; set; }
        DateTime ModificationDate { get; set; }
    }
}
