using System;
using System.Collections.Generic;
using System.Text;
using CDBurnerXP.Windows.Forms;
using System.Windows.Forms;

namespace CDBurnerXP.Windows.Forms
{
    public class TaskDialogResult
    {
        private int m_SelectedCommand = 0;
        private int m_SelectedRadioButton = 0;
        private bool m_VerificationChecked = false;
        private DialogResult m_DialogResult = DialogResult.None;

        public int SelectedCommand
        {
            get
            {
                return m_SelectedCommand;
            }
            set
            {
                m_SelectedCommand = value;
            }
        }

        public int SelectedRadioButton
        {
            get
            {
                return m_SelectedRadioButton;
            }
            set
            {
                m_SelectedRadioButton = value;
            }
        }

        public bool VerificationChecked
        {
            get
            {
                return m_VerificationChecked;
            }
            set
            {
                m_VerificationChecked = value;
            }
        }

        public DialogResult DialogResult
        {
            get
            {
                return m_DialogResult;
            }
            set
            {
                m_DialogResult = value;
            }
        }

        public TaskDialogResult()
        {
        }

        public TaskDialogResult(int command, int radio, bool verification, DialogResult result)
        {
            m_SelectedCommand = command;
            m_SelectedRadioButton = radio;
            m_VerificationChecked = verification;
            m_DialogResult = result;
        }
    }
}
